Skip to main content
POST
/
rpc
/
Collections
/
CreateContractCollection
CreateContractCollection
curl --request POST \
  --url https://metadata.sequence.app/rpc/Collections/CreateContractCollection \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectId": 30957,
  "contractCollection": {
    "chainId": 80002,
    "contractAddress": "0x477566e9ade2dfa69f066f909e36ad617a2adef7",
    "collectionId": 819
  }
}
'
{
  "contractCollection": {
    "id": 460,
    "chainId": 80002,
    "contractAddress": "0x477566e9ade2dfa69f066f909e36ad617a2adef7",
    "collectionId": 819
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.sequence.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Secret JWT token for authenticating requests obtained from Sequence Builder - should not be exposed publicly.

Body

application/json
projectId
number
contractCollection
object

Response

OK

contractCollection
object